<!DOCTYPE html>
<html ng-app="app">

<head>
    <title>Pense S.A Company</title>
    <link rel="shortcut icon" href="../img/logo-menu.png" type="image/x-icon">
    <script src="../javascript/OnRouter.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.3/css/bulma.min.css">
    <link rel="stylesheet" href="../style/cadastro.css">
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.8.2/angular.min.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-auth.js"></script>
<script src="https://www.gstatic.com/firebasejs/8.10.0/firebase-firestore.js"></script>
</head>

<body ng-controller="LoginController" class="section">

    <div class="container is-vcentered">

        <!-- Formulário -->
        <div class="columns is-centered">
            <div class="column is-one-third">
                <form class="box">
                    <!-- Imagem do Logo -->
                    <div class="has-text-centered mb-4">
                        <img src="../img/logo-menu.png" alt="Logo" class="image is-128x128" />
                    </div>
        
                    <!-- Restante do formulário -->
                    <label class="label">Email:</label>
                    <div class="control has-icons-left">
                        <input class="input" type="email" ng-model="loginData.email" required>
                        <span class="icon is-small is-left">
                            <i class="fas fa-envelope"></i>
                        </span>
                    </div>
        
                    <label class="label">Senha:</label>
                    <div class="control has-icons-left">
                        <input class="input" type="password" ng-model="loginData.senha" required>
                        <span class="icon is-small is-left">
                            <i class="fas fa-lock"></i>
                        </span>
                    </div>

                    <div class="content is-small mt-4">
                        <p>Você é ?</p>
                        <div class="yourtype container">
                        <input type="radio" name="userType" id="frelancer"> Frelancer 
                        <input type="radio" name="userType" id="contratante"> Contratante
                    </div>
                    </div>
        
                    <button class="button is-primary" onclick="cadastrarUsuario()">Cadastro</button>
        
                    <div class="content is-small mt-4">
                        <p>Você já tem login ?</p>
                        <button class="button is-link" ng-click="redirecionarCadastro()">Login</button>
                    </div>
                </form>
            </div>
        </div>
        
                </form>
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/angular@1.8.2/angular.min.js"></script>
       <script>
    var app = angular.module('app', []);

    app.controller('LoginController', function ($scope, $window) {
        $scope.redirecionarCadastro = function () {
            $window.location.href = 'login.html';
        };
    });
</script>

    <script src="../components/firebase/key.js"></script>

</body>

</html>
